org.springframework.messaging.simp.stomp

## Class StompConversionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.messaging.simp.stomp.StompConversionException

All Implemented Interfaces:
  Serializable

    public class StompConversionException
    extends org.springframework.core.NestedRuntimeException

Raised after a failure to encode or decode a STOMP message.

Since:
  4.0
Author:
  Gary Russell
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StompConversionException(String msg)`
`StompConversionException(String msg, Throwable cause)`

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StompConversionException

    public StompConversionException(String msg,
                                    Throwable cause)

#### StompConversionException

    public StompConversionException(String msg)